GET /history/car/{vin}

apigee.net:marketcheck-cars

Summary: Get a cars online listing history
Operation ID: getCarHistory
Auth: api_key
Description

The history API returns online listing history for a car identified by its VIN. History listings are sorted in the descending order of the listing date / last seen date

Parameters (6)

api_key (string, query, optional)

The API Authentication Key. Mandatory with all API calls.

fields (string, query, optional)

List of fields to fetch, in case the default fields list in the response is to be trimmed down

include_duplicates (boolean, query, optional)

Flag to indicate whether to include duplicate historical records as well in the response

page (number, query, optional)

Page number to fetch the results for the given criteria. Default is 1.

sort_order (string, query, optional)

Sort order - asc or desc. Default sort order is asc

Constraints: {'enum': ['asc', 'desc', 'ASC', 'DESC']}

vin (string, path, required)

The VIN to identify the car. Must be a valid 17 char VIN

Constraints: {'minLength': 10}

No probe data for this endpoint yet.